Log message for revision 114395:
  Declare official support for Python 2.7, thanks everyone and especially David 
Glick!
  

Changed:
  U   Zope/trunk/doc/CHANGES.rst
  U   Zope/trunk/doc/INSTALL-buildout.rst
  U   Zope/trunk/doc/INSTALL.rst
  U   Zope/trunk/doc/WHATSNEW.rst

-=-
Modified: Zope/trunk/doc/CHANGES.rst
===================================================================
--- Zope/trunk/doc/CHANGES.rst  2010-07-09 18:02:55 UTC (rev 114394)
+++ Zope/trunk/doc/CHANGES.rst  2010-07-09 18:12:20 UTC (rev 114395)
@@ -22,6 +22,8 @@
 Features Added
 ++++++++++++++
 
+- Added official support for Python 2.7.
+
 - Added a new API ``get_packages_to_initialize`` to ``OFS.metaconfigure``.
   This replaces any direct access to ``Products._packages_to_initialize``.
   The OFS.Application.install_package function takes care of removing entries

Modified: Zope/trunk/doc/INSTALL-buildout.rst
===================================================================
--- Zope/trunk/doc/INSTALL-buildout.rst 2010-07-09 18:02:55 UTC (rev 114394)
+++ Zope/trunk/doc/INSTALL-buildout.rst 2010-07-09 18:12:20 UTC (rev 114395)
@@ -24,6 +24,7 @@
   installed from system-level packages.  Supported versions include:
 
   * 2.6.x
+  * 2.7.x
 
 - Zope needs the Python ``zlib`` module to be importable.  If you are
   building your own Python from source, please be sure that you have the

Modified: Zope/trunk/doc/INSTALL.rst
===================================================================
--- Zope/trunk/doc/INSTALL.rst  2010-07-09 18:02:55 UTC (rev 114394)
+++ Zope/trunk/doc/INSTALL.rst  2010-07-09 18:12:20 UTC (rev 114395)
@@ -16,6 +16,7 @@
   installed from system-level packages.  Supported versions include:
 
   * 2.6.x
+  * 2.7.x
 
 - Zope needs the Python ``zlib`` module to be importable.  If you are
   building your own Python from source, please be sure that you have the
@@ -49,7 +50,7 @@
   $ wget 
http://pypi.python.org/packages/source/v/virtualenv/virtualenv-1.4.6.tar.gz
   $ tar xzf virtualenv-1.4.6.tar.gz
   $ cd virtuaenv-1.4.6
-  $ /path/to/python2.6 setup.py install
+  $ /path/to/python2.7 setup.py install
 
 If you wish to manage your Zope instance using
 buildout, please see the :doc:`INSTALL-buildout`.

Modified: Zope/trunk/doc/WHATSNEW.rst
===================================================================
--- Zope/trunk/doc/WHATSNEW.rst 2010-07-09 18:02:55 UTC (rev 114394)
+++ Zope/trunk/doc/WHATSNEW.rst 2010-07-09 18:12:20 UTC (rev 114395)
@@ -8,6 +8,19 @@
 about all minor new features and bugs being solved in this release.
 
 
+Python 2.7
+----------
+
+This release of Zope 2 adds support for
+`Python 2.7 <http://www.python.org/download/releases/2.7/>`_. Please refer to
+the `What's new in Python 2.7 <http://docs.python.org/dev/whatsnew/2.7.html>`_
+document, if you want to know more about the changes.
+
+Zope 2.13 is continuing to support Python 2.6.4 or any later maintenance 
release
+of it. There's currently no support for any Python 3.x version. Work has begun
+in the Zope Toolkit to port some of the lower level packages to Python 3.
+
+
 ZODB 3.10
 ---------
 

_______________________________________________
Zope-Checkins maillist  -  Zope-Checkins@zope.org
https://mail.zope.org/mailman/listinfo/zope-checkins

Reply via email to